Subject: RE: [Diffserv] draft-kanada-diffserv-qospifmib-00.txt

From: "Punj, Arun" <[email-masked]>
Date: Thu, 15 Jun 2000 09:38:57 -0400

Please see my comments prefixed with TL>

-----Original Message-----
From: Kathleen Nichols [mailto:[email-masked]]
Sent: Wednesday, June 14, 2000 6:00 PM
To: Andrew Smith
Cc: 'Yasusi Kanada'; Fred Baker; [email-masked]
Subject: Re: [Diffserv] draft-kanada-diffserv-qospifmib-00.txt

Andrew Smith wrote:
> 
> I would not be comfortable with restricting queue depth units to
"packets".
> Is there any research that points to this being the only sensible unit?

We're still "messing around" with this, but our research
would seem to be to the contrary; that is, if you can
get queue depth in one of the units you mention, it
is a good thing, though it's possible to work with
just packets.

TL> To me it makes sense to represent queue depth as a ratio of what is the 
TL> maximum ( bandwidth - packets, bytes ) you can support to what is
current TL> occupancy ( again in the same units ) on a link. And leave it to
specific 
TL> implementation to specify the units. 

TL> The systems I most familar with implemented Q-Depths as packets in the 
TL> queues or in some cases, the number of buffer descriptors required to
hold 
TL> these packets. But never bytes. As congestion has two aspects 1. How
much TL> traffic is flowing on a given link 2.Also whether resources
required by 
TL> network node ( router ) to output traffic on that link are running out.
TL> And typically both are implicitly taken as one and the same.

> 
> Bits, bytes or "buffering units" seems to be more appropriate to me: the
> congestion that we are trying to manage is due to lack of available
> bit-transmission capacity, not lack of packet slots, at least in most of
the
> common MAC layers.
> 
> Andrew
> 
> > -----Original Message-----
> > From: Yasusi Kanada [mailto:[email-masked]]
> > Sent: Tuesday, June 13, 2000 11:25 PM
> > To: Fred Baker; [email-masked]
> > Subject: Re: [Diffserv] draft-kanada-diffserv-qospifmib-00.txt
> ...
> > BTW, Kwok allowed "kB" for the unit of queue depth, but you want to
> > restrict this to "packets".  I think this is OK.
> >
> 
> 
> _______________________________________________
> diffserv mailing list
> [email-masked]
> http://www1.ietf.org/mailman/listinfo/diffserv
> Archive: http://www-nrg.ee.lbl.gov/diff-serv-arch/

_______________________________________________
diffserv mailing list
[email-masked]
http://www1.ietf.org/mailman/listinfo/diffserv
Archive: http://www-nrg.ee.lbl.gov/diff-serv-arch/

_______________________________________________
diffserv mailing list
[email-masked]
http://www1.ietf.org/mailman/listinfo/diffserv
Archive: http://www-nrg.ee.lbl.gov/diff-serv-arch/